package com.unis.flowable.common.enums;

import lombok.Getter;

/**资格类型代码
 * @Auther:张新亮
 * @Date: 2019/7/26 0026 16:47
 * @Description:
 */
@Getter
public enum ZglxEnum {
    /**
     * 审核，枚举类对象
     */
    cczg_lsl(1, "承储资格（粮食类）"),
    cczg_syzwyl(2, "承储资格（食用植物油类）");
    private Integer code;
    private String codeValue;

    ZglxEnum(Integer code, String codeValue) {
        this.code = code;
        this.codeValue = codeValue;
    }

    public static String getCodeValue(int code) {
        switch (code) {
            case 1:
                return ZglxEnum.cczg_lsl.getCodeValue();
            case 2:
                return ZglxEnum.cczg_syzwyl.getCodeValue();
            default:
                return "";
        }
    }
}